import type DataGrid from "./DataGrid";
declare class Context {
    grid: DataGrid;
    x: number;
    y: number;
    width: number;
    height: number;
    fixed: 'left' | 'right' | '' | undefined;
    constructor(grid: DataGrid, x: number, y: number, width?: number | null, height?: number, fixed?: 'left' | 'right' | '');
    isHorizontalVisibleOnBody(): boolean;
    isVerticalVisibleOnBody(): boolean;
    isInsideHorizontalBodyBoundary(mouseX: number, _mouseY: number): boolean;
    isInsideHorizontalTableBoundary(mouseX: number, _mouseY: number): boolean;
    isInsideFixedHorizontalBodyBoundary(mouseX: number, _mouseY: number): boolean;
    isInsideVerticaBodyBoundary(_mouseX: number, mouseY: number): boolean;
    isInsideVerticaTableBoundary(_mouseX: number, mouseY: number): boolean;
    private getScreenX;
    isInsideAffixIcon(mouseX: number, mouseY: number): boolean;
    isInsideEditIcon(mouseX: number, mouseY: number): boolean;
    isInsideHeader(mouseX: number, mouseY: number): boolean;
    isInsideCheckboxBoundary(mouseX: number, _mouseY: number): boolean;
    isInsideHeaderCheckboxBoundary(mouseX: number, mouseY: number): boolean;
    isInsideIndexBoundary(mouseX: number, _mouseY: number): boolean;
}
export default Context;
